package com.chenyang.nse.bussiness.entity.orm.table.core.systemparameter;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SYSTEMPARAMETER"
)
public class TCoreSystemparameter extends TBaseEntity {
   private String parametername;
   private Date createtime;

   public TCoreSystemparameter() {
   }

   public TCoreSystemparameter(String parametername, Date createtime) {
      this.parametername = parametername;
      this.createtime = createtime;
   }

   public String getParametername() {
      return this.parametername;
   }

   public void setParametername(String parametername) {
      this.parametername = parametername;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String toString() {
      return "TCoreSystemparameter [parametername=" + this.parametername + ", createtime=" + this.createtime + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.createtime == null ? 0 : this.createtime.hashCode());
      result = 31 * result + (this.parametername == null ? 0 : this.parametername.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreSystemparameter other = (TCoreSystemparameter)obj;
         if (this.createtime == null) {
            if (other.createtime != null) {
               return false;
            }
         } else if (!this.createtime.equals(other.createtime)) {
            return false;
         }

         if (this.parametername == null) {
            if (other.parametername != null) {
               return false;
            }
         } else if (!this.parametername.equals(other.parametername)) {
            return false;
         }

         return true;
      }
   }
}
